Update Smart Bundle

Update a bundle.

Updates an existing smart bundle.

Requires authentication.

Request

PUT /smart-bundle/{id}

Path Parameters

ParameterTypeRequiredDescription
idstringYesThe ID of the smart bundle to update.

Headers

HeaderValue
AuthorizationBearer <token>
Content-Typeapplication/json

Request Body

Accepts the same fields as the create endpoint. Only fields provided will be updated.

FieldTypeRequiredDescription
titleobjectNoUpdated multilingual title.
internal_titlestringNoUpdated internal display name.
urlobjectNoUpdated multilingual URL.
slotsarrayNoReplacement slot definitions.
slot_connectionsarrayNoReplacement slot connection rules.

Example Request

{
  "internal_title": "Complete Outfit Bundle v2",
  "title": {
    "en": "Complete Outfit (Updated)",
    "de": "Komplettes Outfit (Aktualisiert)"
  }
}

Response

Returns the updated smart bundle object.

Path Params
integer
required

The id of an existing bundle

Body Params
string

The id of an existing bundle

title
object

The bundle title. Note: You can store multi-language titles for the bundle by indexing the title with the language code. (see example below)

string

The internal title that used for displaying lists / searching in lists

url
object

The bundle id.

slots
array of objects

The bundle url. Note: You can store multi-language urls for the bundle by indexing the url with the language code. (see example below)

slots
slot_connections
array of objects

Information about connections between slots. Each connection contains information about 2 slots (id of the slot and the field name of the product that will be used to compare), the comparison that will be used to compare 2 product's values and the type of 2 products' values (see example below)

slot_connections
Headers
string
required

Makaira Instance ID

Response
200

OK

Language
Credentials
Bearer
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here!